Skip to main content
POST
/
v1
/
imports
/
contexts
/
{contextId}
/
sources
/
{sourceId}
/
extract-document
Enqueue a document for AI extraction (human-review required)
curl --request POST \
  --url https://matcher.sandbox.lerian.net/v1/imports/contexts/{contextId}/sources/{sourceId}/extract-document \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/pdf' \
  --data '"<string>"'
{
  "candidateCount": 123,
  "reviewId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Path Parameters

contextId
string<uuid>
required

Context ID

sourceId
string<uuid>
required

Source ID

Body

application/pdf

The body is of type file.

Response

Accepted

candidateCount
integer<int64>
required

Number of transaction candidates queued for review

Example:

12

reviewId
string<uuid>
required

Identifier of the queued extraction review

Example:

"550e8400-e29b-41d4-a716-446655440000"

status
string
required

Lifecycle status of the queued review (always PENDING_REVIEW on enqueue)

Example:

"PENDING_REVIEW"